Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jaxen.expr
Class DefaultFilterExpr

    java.lang.Object
      org.jaxen.expr.DefaultExpr
          org.jaxen.expr.DefaultFilterExpr

All Implemented Interfaces:
  Expr, FilterExpr, Predicated, Serializable, Visitable

Deprecated. this class will become non-public in the future; use the interface instead

public class DefaultFilterExpr
extends DefaultExpr
implements FilterExpr, Predicated

See Also:
  Serialized Form

Constructor Summary
`DefaultFilterExpr(Expr expr, PredicateSet predicateSet)` Deprecated.
`DefaultFilterExpr(PredicateSet predicateSet)` Deprecated.

Method Summary
`void` | `accept(Visitor visitor)` Deprecated.
`void` | `addPredicate(Predicate predicate)` Deprecated.
`boolean` | `asBoolean(Context context)` Deprecated. Returns true if the current filter matches at least one of the context nodes
`Object` | `evaluate(Context context)` Deprecated.
`Expr` | `getExpr()` Deprecated.
`List` | `getPredicates()` Deprecated.
`PredicateSet` | `getPredicateSet()` Deprecated.
`String` | `getText()` Deprecated.
`Expr` | `simplify()` Deprecated.
`String` | `toString()` Deprecated.

Methods inherited from class org.jaxen.expr.DefaultExpr
`convertToIterator, convertToList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultFilterExpr

    public DefaultFilterExpr(PredicateSet predicateSet)

  Deprecated.

### DefaultFilterExpr

    public DefaultFilterExpr(Expr expr,
                             PredicateSet predicateSet)

  Deprecated.

Method Detail

### addPredicate

    public void addPredicate(Predicate predicate)

  Deprecated.
  Specified by:
    `addPredicate` in interface `Predicated`

### getPredicates

    public List getPredicates()

  Deprecated.
  Specified by:
    `getPredicates` in interface `Predicated`

### getPredicateSet

    public PredicateSet getPredicateSet()

  Deprecated.
  Specified by:
    `getPredicateSet` in interface `Predicated`

### getExpr

    public Expr getExpr()

  Deprecated.
  Specified by:
    `getExpr` in interface `FilterExpr`
  Returns:
    underlying filter expression

### toString

    public String toString()

  Deprecated.

### getText

    public String getText()

  Deprecated.
  Specified by:
    `getText` in interface `Expr`

### simplify

    public Expr simplify()

  Deprecated.
  Specified by:
    `simplify` in interface `Expr`
  Overrides:
    `simplify` in class `DefaultExpr`

### asBoolean

    public boolean asBoolean(Context context)
                      throws JaxenException

  Deprecated.
  Returns true if the current filter matches at least one of the context nodes

  Specified by:
    `asBoolean` in interface `FilterExpr`
  Throws:
    `JaxenException`

### evaluate

    public Object evaluate(Context context)
                    throws JaxenException

  Deprecated.
  Specified by:
    `evaluate` in interface `Expr`
  Throws:
    `JaxenException`

### accept

    public void accept(Visitor visitor)

  Deprecated.
  Specified by:
    `accept` in interface `Visitable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 Codehaus. All Rights Reserved.